Package ru.bgcrm.plugin

# Class Endpoint

java.lang.Object
ru.bgcrm.plugin.Endpoint

public class Endpoint extends Object
Plugin's endpoints related constants and methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CSS`
  `static final String`
  `JS`
  Well known endpoints.
  `static final String`
  `OPEN_JSP`
  `static final String`
  `USER_ADMIN_MENU_ITEMS`
  `static final String`
  `USER_MENU_ITEMS`
  `static final String`
  `USER_PARAM_MENU_ITEMS`
  `static final String`
  `USER_PROCESS_MENU_ITEMS`
  `static final String`
  `USER_PROCESS_TABS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Endpoint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getPathPluginCSS(String pluginId)`
  `static final String`
  `getPathPluginJS(String pluginId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JS

    public static final String JS
    Well known endpoints.
    See Also:
      - Constant Field Values

  - ### CSS

    public static final String CSS
    See Also:
      - Constant Field Values

  - ### USER_MENU_ITEMS

    public static final String USER_MENU_ITEMS
    See Also:
      - Constant Field Values

  - ### USER_ADMIN_MENU_ITEMS

    public static final String USER_ADMIN_MENU_ITEMS
    See Also:
      - Constant Field Values

  - ### USER_PROCESS_MENU_ITEMS

    public static final String USER_PROCESS_MENU_ITEMS
    See Also:
      - Constant Field Values

  - ### USER_PROCESS_TABS

    public static final String USER_PROCESS_TABS
    See Also:
      - Constant Field Values

  - ### USER_PARAM_MENU_ITEMS

    public static final String USER_PARAM_MENU_ITEMS
    See Also:
      - Constant Field Values

  - ### OPEN_JSP

    public static final String OPEN_JSP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Endpoint

    public Endpoint()

- ## Method Details

  - ### getPathPluginJS

    public static final String getPathPluginJS(String pluginId)

  - ### getPathPluginCSS

    public static final String getPathPluginCSS(String pluginId)